RIO_GET_COMPTAG(9)

NAME
rio_get_comptag - Begin or continue searching for a RIO device by component tag

SYNOPSIS

struct rio_dev * rio_get_comptag(u32 comp_tag, struct rio_dev * from);

ARGUMENTS

comp_tag
    RIO component tag to match

from
    Previous RIO device found in search, or NULL for new search

DESCRIPTION

Iterates through the list of known RIO devices. If a RIO device is found with a matching comp_tag, a pointer to its device structure is returned. Otherwise, NULL is returned. A new search is initiated by passing NULL to the from argument. Otherwise, if from is not NULL, searches continue from next device on the global list.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT